package com.wechat.dao;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.dto.AccessTokenDto;

/**
 * This is test for Git Stash
 * @author Administrator
 *
 */
@Repository
public class AccessTokenRedisDao extends RedisGeneratorDao<String, AccessTokenDto>  {

    private String tableKey = "accessTokenRedis";

    public AccessTokenDto selectAccessToken(String infoKey) {
        return selectOne(tableKey, infoKey);
    }

    public void updateAccessToken(String infoKey, AccessTokenDto infoValue) {
        update(tableKey, infoKey, infoValue);

    }

    public void insertAccessToken(String infoKey, AccessTokenDto infoValue) {
        insert(tableKey, infoKey, infoValue);

    }

    public void deleteAccessToken(String infoKey) {
        delete(tableKey, infoKey);

    }

}
